# This profile file controls your <#> (HashDist) build environment.

# In the future, we'll provide better incorporation of
# automatic environment detection.  For now, have a look
# at the YAML files in the top-level directory and choose
# the most *specific* file that matches your environment.

extends:
- file: linux.yaml

#parameters:
#  PROLOGUE: |
#    source /usr/share/Modules/init/bash; export MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles:/cluster/etc/modulefiles; echo "loading modules"; module load gcc/4.9.2; echo "setting default compilers"; export CC=gcc; export CXX=g++; export FC=gfortran; export F77=gfortran; export CPP=cpp;

# The packages list specifies all the packages that you
# require installed.  <#> will ensure that all packages
# and their dependencies are installed when you build this
# profile.

packages:
  launcher:
  cmake:
  pcre:
  python:
    link: shared
  mpi:
    use: mpich
  blas:
    use: lapack
  lapack:
    use: lapack
  petsc:
    build_with: |
       parmetis, scotch, suitesparse
    download: |
      hypre, mumps, scalapack, blacs, ml
    coptflags: -O2
    link: shared
    debug: false
  swig:
#    version: '2.0.8'
  boost:
    toolset: gcc
    address_model: 64
    build_with: python
  ipython:
  matplotlib:
  python-netcdf4:
  pyvtk:
  vtk:
  ffc:
  fiat:
  instant:
  ufl:
  mshr:
  uflacs:
  h5py:
  numpy:
  scipy:
  slepc4py:
#  scitools:
  suitesparse:
# Swig problems: SWIG version 3.0.2 is greater than maximum version 2.0.8
  trilinos:
  setuptools:
  fenicstools:
  dolfin:
    build_with: |
      hdf5, parmetis, petsc, petsc4py, suitesparse, scotch, slepc, vtk, zlib, trilinos, slepc4py, qt, sphinx
  mpi4py:
  cbcblock:
  cbcpost:
